### Method

# EDataServer SourceSMIME set_signing_algorithm

since: 3.6

#### Declaration [src]

    void
    e_source_smime_set_signing_algorithm (
      ESourceSMIME* extension,
      const gchar* signing_algorithm
    )

#### Description [src]

Sets the name of the hash algorithm used to digitally sign outgoing messages.

The internal copy of `signing_algorithm` is automatically stripped of leading and trailing whitespace. If the resulting string is empty, `NULL` is set instead.

Available since: 3.6

Sets property | `EDataServer.SourceSMIME:signing-algorithm`

#### Parameters

`signing_algorithm`

  Type: `const gchar*`

  The signing algorithm for outgoing messages, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.